## inventor 2.1.6%2Bds

=== doc/man/CMakeLists.txt ===
#add_subdirectory(tools)
add_subdirectory(ivman)
add_subdirectory(man1)
add_subdirectory(man3)

=== apps/converters/iv2toiv1/CMakeLists.txt ===
configure_file(iv2toiv1.in ${CMAKE_CURRENT_BINARY_DIR}/iv2toiv1 @ONLY)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/iv2toiv1
    DESTINATION ${CMAKE_INSTALL_BINDIR})

=== apps/nodes/BarChart/CMakeLists.txt ===
add_plugin(BarChart
    BarChart.c++
    BarChart.h
)

=== apps/samples/4view/CMakeLists.txt ===
add_sample(4view
    4view.c++
)

=== apps/samples/ivToInclude/CMakeLists.txt ===
add_executable(ivToIncludeFile
    ivToIncludeFile.c++
)
target_link_libraries(ivToIncludeFile PRIVATE Inventor)

add_sample(testResults
    testResults.c++
    foo.h
)

=== apps/tools/ivcat/CMakeLists.txt ===
add_executable(ivcat
    ivcat.c++
)

target_link_libraries(ivcat PRIVATE Inventor)

install(TARGETS ivcat)

=== apps/tools/ivfix/CMakeLists.txt ===
add_executable(ivfix
    ivfix.c++
    IfBuilder.c++
    IfCollector.c++
    IfCondenser.c++
    IfFixer.c++
    IfFlattener.c++
    IfHasher.c++
    IfHolder.c++
    IfMerger.c++
    IfReplacer.c++
    IfReporter.c++
    IfShape.c++
    IfShapeList.c++
    IfSorter.c++
    IfStripper.c++
    IfTypes.c++
    IfWeeder.c++

    IfAssert.h
    IfBuilder.h
    IfCollector.h
    IfCondenser.h
    IfFixer.h
    IfFlattener.h
    IfHasher.h
    IfHolder.h
    IfMerger.h
    IfReplacer.h
    IfReporter.h
    IfShape.h
    IfShapeList.h
    IfSorter.h
    IfStripper.h
    IfTypes.h
    IfWeeder.h
)

target_link_libraries(ivfix PRIVATE Inventor)

install(TARGETS ivfix)

=== apps/examples/Toolmaker/04.Actions/CMakeLists.txt ===
add_executable(printVolume
    printVolume.c++ GetVolumeAction.c++
    GetVolumeAction.h
)
target_link_libraries(printVolume Inventor) # no InventorXt required

=== doc/man/man3/ivm/CMakeLists.txt ===
set(IVMANDIR ${CMAKE_SOURCE_DIR}/doc/man/ivman)
set(TREEFILE ${IVMANDIR}/manTree)
file(READ "${TREEFILE}" TREEFILE_CONTENT)
# Replace newlines with semicolon so that it is treated as a list by CMake
# Will need to escape existing semicolons beforehand if file contains any.
string(REPLACE "\n" ";" TREEFILE_LINES "${TREEFILE_CONTENT}")

macro(ADD_IVMAN)
    set(outfiles)
    foreach(it ${ARGN})
        get_filename_component(outbase ${it} NAME_WE)
        get_filename_component(infile ${it} ABSOLUTE)
        set(outfile ${CMAKE_CURRENT_BINARY_DIR}/${outbase}.3iv)

        foreach(_line ${TREEFILE_LINES})
            string(REGEX MATCH "^${outbase} .*" BASECLASSES_LINE ${_line})
            if (NOT "${BASECLASSES_LINE}" STREQUAL "")
                string(REPLACE " " ";" BASECLASSES "${BASECLASSES_LINE}")
                break()
            endif()
        endforeach()

        set(inputfiles)
        foreach(_class ${BASECLASSES})
            file(GLOB inputfile "${CMAKE_SOURCE_DIR}/doc/man/man3/ivm/*/${_class}.ivm")
            if (inputfile)
                set(inputfiles ${inputfiles} ${inputfile})
            endif()
        endforeach()

        add_custom_command(OUTPUT ${outfile}
            COMMAND ivman ${inputfiles} > ${outfile}
            MAIN_DEPENDENCY ${infile}
            VERBATIM)
        set(outfiles ${outfiles} ${outfile})
        add_custom_target(${outbase}.3iv.target ALL DEPENDS ${outfile})
    endforeach()

    #add_custom_target(man3 ALL DEPENDS ${outfiles})

    install(FILES ${outfiles} DESTINATION ${CMAKE_INSTALL_MANDIR}/man3)
endmacro()

add_subdirectory(actions)
add_subdirectory(basics)
add_subdirectory(components)
add_subdirectory(details)
add_subdirectory(devices)
add_subdirectory(draggers)
add_subdirectory(engines)
add_subdirectory(errors)
add_subdirectory(events)
add_subdirectory(fields)
add_subdirectory(general)
add_subdirectory(interaction)
add_subdirectory(manips)
add_subdirectory(nodekits)
add_subdirectory(nodes)
add_subdirectory(projectors)
add_subdirectory(sensors)
add_subdirectory(viewers)

=== doc/man/man3/ivm/fields/CMakeLists.txt ===
add_ivman(
    SoField.ivm
    SoFieldContainer.ivm
    SoFieldList.ivm
    SoMFBitMask.ivm
    SoMFBool.ivm
    SoMFColor.ivm
    SoMFEngine.ivm
    SoMFEnum.ivm
    SoMFFloat.ivm
    SoMFInt32.ivm
    SoMFLong.ivm
    SoMFMatrix.ivm
    SoMFName.ivm
    SoMFNode.ivm
    SoMFPath.ivm
    SoMFPlane.ivm
    SoMFRotation.ivm
    SoMFShort.ivm
    SoMFString.ivm
    SoMFTime.ivm
    SoMFUInt32.ivm
    SoMFULong.ivm
    SoMFUShort.ivm
    SoMFVec2f.ivm
    SoMFVec3f.ivm
    SoMFVec4f.ivm
    SoMField.ivm
    SoSFBitMask.ivm
    SoSFBool.ivm
    SoSFColor.ivm
    SoSFEngine.ivm
    SoSFEnum.ivm
    SoSFFloat.ivm
    SoSFImage.ivm
    SoSFInt32.ivm
    SoSFLong.ivm
    SoSFMatrix.ivm
    SoSFName.ivm
    SoSFNode.ivm
    SoSFPath.ivm
    SoSFPlane.ivm
    SoSFRotation.ivm
    SoSFShort.ivm
    SoSFString.ivm
    SoSFTime.ivm
    SoSFTrigger.ivm
    SoSFUInt32.ivm
    SoSFULong.ivm
    SoSFUShort.ivm
    SoSFVec2f.ivm
    SoSFVec3f.ivm
    SoSFVec4f.ivm
    SoSField.ivm
)

=== doc/man/man3/ivm/sensors/CMakeLists.txt ===
add_ivman(
    SoAlarmSensor.ivm
    SoDataSensor.ivm
    SoDelayQueueSensor.ivm
    SoFieldSensor.ivm
    SoIdleSensor.ivm
    SoNodeSensor.ivm
    SoOneShotSensor.ivm
    SoPathSensor.ivm
    SoSensor.ivm
    SoTimerQueueSensor.ivm
    SoTimerSensor.ivm
)

## inventor 2.1.5-10

=== debian/changelog ===
inventor (2.1.5-10-24) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Improve cross building: Let dh_auto_build pass cross tools to make.
    (Closes: #902298)

  [ Graham Inggs ]
  * Use __SIZEOF_LONG__ to determine 64-bit architectures
    (Closes: #973005)
  * Switch from debian/compat to debhelper-compat
  * Set Rules-Requires-Root: no
  * Use canonical URI for Vcs-Browser
  * Do not link with -Wl,--as-needed, it is now the default
  * Remove trailing whitespace from d/changelog, d/rules
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Sun, 31 Oct 2021 12:34:16 +0000

inventor (2.1.5-10-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove arch-specific filter used when building the arch: all
    packages, hopefully fixing #889189.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 24 Apr 2021 11:51:14 +0000

inventor (2.1.5-10-23) unstable; urgency=medium

  [ Steve Robbins ]
  * [136a90b] Add build-dep on csh; use debhelper v13.

 -- Steve M. Robbins <smr@debian.org>  Mon, 19 Oct 2020 21:15:34 -0500

inventor (2.1.5-10-22) unstable; urgency=medium

  [ Steve Robbins ]
  * [ab7389d] Remove build-dep on tcsh.
  * [5ab1c4e] Add .gitignore to ignore build products

 -- Steve M. Robbins <smr@debian.org>  Fri, 31 Jul 2020 19:17:47 -0500

inventor (2.1.5-10-21) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * debhelper 11
  * hardening=+all
  * Standards-Version: 4.1.3

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 13:45:45 +0100

inventor (2.1.5-10-20) unstable; urgency=medium

  * d/patches/dont-use-FT_Done_GlyphSlot.patch: New.  Remove use
  of FT_Done_GlyphSlot so that Inventor builds with freetype 2.8.
  Closes: #867111

  * d/rules: Don't ship /usr/lib/inventor/SceneViewer* in inventor-demo,
  because SceneViewer is already in inventor-clients.  Closes: #868547.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jul 2017 23:28:37 -0500

inventor (2.1.5-10-19) unstable; urgency=medium

  * patches/inventor-gcc6.patch: New.  Fixes required for building with
    GCC 6 (thanks, Graham Inggs).  Closes: #811781.

 -- Steve M. Robbins <smr@debian.org>  Mon, 15 Aug 2016 23:31:20 -0500

inventor (2.1.5-10-18) unstable; urgency=low

  * patches/endianness.patch: Add s390x and aarch64 to list of 64-bit
    architectures.  Closes: #739186.

  * patches/add-required-libs.patch: Link Decal.so explicitly against
    libc.  Closes: #719485.

  * debian/rules: Link everything with "--as-needed".

 -- Steve M. Robbins <smr@debian.org>  Mon, 31 Mar 2014 20:20:06 -0500

inventor (2.1.5-10-17) unstable; urgency=low

  * control: Change from lesstif2 to motif.  Closes: #714864.
  * Bump SOVERSION to 1.0.0.

  * patches/add-required-libs.patch: Link with -lXm before -lXt.
    Closes: #718691.

  * patches/buildsystem.patch: Use xdg-open as PDF viewer.
    Closes: #718784.

 -- Steve M. Robbins <smr@debian.org>  Fri, 09 Aug 2013 22:50:15 -0500

inventor (2.1.5-10-16) unstable; urgency=low

  * patches/add-required-libs.patch: Do not hard-code libGLw path.  Bug
    fix for #624156 restores ability to use shared libGLw.
    Closes: #634559.

  * control: change recommends from xpdf-reader to xpdf.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 Sep 2011 15:50:51 -0500

inventor (2.1.5-10-15) unstable; urgency=low

  * control: Move to Debian-science repository, set Maintainer,
    Uploaders, and Vcs fields.  Set Standards-Version to 3.9.2.  Fix -doc
    description.  Closes: #575557.

  * compat:
  * control: Require use of debhelper v8.  Add ${misc:Depends} to all
    packages.

  * source/format: Switch to source format 3.0.  Closes: #620531.
    - patches/add-required-libs.patch:
    - patches/bison-workaround.patch:
    - patches/buildman.patch:
    - patches/buildsystem.patch:
    - patches/configurability.patch:
    - patches/const-correctness.patch:
    - patches/endianness.patch:
    - patches/forward-declare.patch:
    - patches/freetype.patch:
    - patches/ivman.patch:
    - patches/main-correctness.patch:
    - patches/socalcparse.patch:
    - patches/use-tcsh.patch: New.  Patch set created from previous debian
      diff, augmented to link all required lib.  Closes: #554921.

  * Build on i386 to ensure docs are built.  Closes: #595405.

 -- Steve M. Robbins <smr@debian.org>  Tue, 26 Apr 2011 00:46:51 -0500

inventor (2.1.5-10-14) unstable; urgency=low

  * lib/database/src/so/SoInput.c++:
  * lib/interaction/src/nodekits/SoInteractionKit.c++: Store return value
    of strchr() in const char*, rather than char*.  Closes: #560454.

 -- Steve M. Robbins <smr@debian.org>  Sun, 03 Jan 2010 21:15:00 -0600

inventor (2.1.5-10-13) unstable; urgency=low

  * debian/control: Build-depend on x11proto-core-dev instead of x-dev.
    Closes: #515454.  Build-depend on libglu1-mesa-dev instead of
    libglu1-xorg-dev.  Update standards-version to 3.8.2.0.  Change
    ${Source-Version} to ${binary:Version}.  Move -doc to section doc.

  * debian/inventor-clients.menu: Update section from Apps/Graphics to
    Applications/Graphics.

  * debian/libinventor0.lintian-overrides: New.  Override lintian check
    for dependency on xfonts.  Debian policy doesn't apply here because
    we're not getting font info from the server, but directly reading the
    files supplied by the font package; thus the dependency is necessary.

 -- Steve M. Robbins <smr@debian.org>  Sun, 09 Aug 2009 01:32:08 -0500

inventor (2.1.5-10-12) unstable; urgency=low

  * debian/control: Build-depend on libglw1-mesa-dev instead of
    libgl1-mesa-swx11-dev.  Closes: #439485.  Fix description typos.
    Closes: #438890.

 -- Steve M. Robbins <smr@debian.org>  Sun, 26 Aug 2007 22:35:35 -0500

inventor (2.1.5-10-11) unstable; urgency=low

  * debian/link-fonts.sh: Don't try to link non-existent .pfa file.
  Closes: #383627.

 -- Steve M. Robbins <smr@debian.org>  Tue, 12 Jun 2007 00:56:26 -0500



=== debian/control ===
Source: inventor
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               csh,
               libx11-dev,
               libxi-dev,
               libxt-dev,
               x11proto-core-dev,
               libmotif-dev,
               libglw1-mesa-dev,
               libglu1-mesa-dev,
               libfreetype6-dev,
               libjpeg-dev,
               bison
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/science-team/inventor
Vcs-Git: https://salsa.debian.org/science-team/inventor.git
Homepage: http://oss.sgi.com/projects/inventor/

Package: libinventor1
Architecture: any
Section: libs
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends},
         xfonts-scalable,
         gsfonts-x11
Recommends: xdg-utils,
            xpdf | pdf-viewer
Conflicts: libinventor0
Replaces: libinventor0
Description: Open Inventor runtime environment
 This package contains the required files to run Open Inventor applications.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.
 .
 Recommended package xpdf is needed only to view help files.

Package: inventor-dev
Architecture: any
Section: devel
Priority: optional
Depends: ${misc:Depends},
         libinventor1 (= ${binary:Version}),
         libc6-dev,
         xlibmesa-dev | libgl-dev,
         libmotif-dev
Conflicts: libcoin20-dev,
           libcoin20-doc
Description: Open Inventor development files
 This package contains the files required to develop Open Inventor
 applications.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-doc
Architecture: all
Section: doc
Priority: optional
Depends: ${misc:Depends}
Conflicts: libcoin20-doc,
           libcoin40-doc
Description: Open Inventor documentation
 This package contains the Open Inventor documentation files.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-clients
Architecture: any
Section: graphics
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Inventor client programs
 This package contains Open Inventor file viewers and converters.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-data
Architecture: all
Section: graphics
Priority: optional
Depends: ${misc:Depends}
Description: Open Inventor sample data files
 This package contains sample 3D model and scene files in inventor format.
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

Package: inventor-demo
Architecture: any
Section: graphics
Priority: optional
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open Inventor demonstration programs and example code
 This package includes several Open Inventor demos: a scene viewer
 (SceneViewer), a scene graph viewer and editor (gview), a maze game (maze),
 an extrusion editor (noodle), a 3D morphing tool (qmorf), a surface of
 revolution editor (revo), among others.
 .
 This package also contains example code, including the examples
 from the books "The Inventor Mentor", and "The Inventor Toolmaker".
 .
 Open Inventor is an object-oriented 3D toolkit offering a comprehensive
 solution to interactive graphics programming problems.  It presents a
 programming model based on a 3D scene database that simplifies graphics
 programming.  It includes a large set of objects such as cubes, polygons,
 text, materials, cameras, lights, trackballs, handle boxes, 3D viewers, and
 editors can speed up your programming and extend your 3D program's
 capabilities.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# This has to be exported to make some magic below work.
export DH_OPTIONS

export IVROOT=$(shell pwd)/debian/tmp
export FREETYPE=1

# Set optimization and debugging flags [Policy 10.1].
# These options are controlled by variables VCOPTS and VCXXOPTS;
# see setting of "CFLAGS" in make/commondefs for details.
#
# Since we're building libraries, set _REENTRANT [Policy 10.2].
#
export VCOPTS=-g -D_REENTRANT

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
VCOPTS += -O0
else
VCOPTS += -O3
endif

export VCXXOPTS=$(VCOPTS)

# Set linking flags.
# These options are controlled by the variable VLDOPTS;
# see setting of "LDFLAGS" in make/commondefs for details.
# export VLDOPTS=-Wl,--as-needed

# Sadly, the program "ivman" used to generate manual pages
# is broken on several architectures.  It looks to me like
# there are assumptions being made about the form of mangled
# identifiers, or maybe some bad assumptions being broken on 64-bit
# architectures.  Whatever.
#
# The man pages are therefore only generated on certain architectures,
# but since it is an architecture "all" package, we only have to
# ensure that the uploader builds on a favoured architecture, e.g.
# i386.
#
# NMU note: "all" is now built on an amd64 buildd. Lets just hope
# ivman works on amd64; hardcoding a list of archs that are not used
# to build "all" certainly does not help.
ifneq (,$(findstring $(DEB_BUILD_ARCH),amd64 i386 sparc powerpc mips mipsel))
export BUILDMAN=true
endif


build: build-stamp
build-stamp:
	dh_testdir

	# libFL binary archive changed name in CVS version
	rm -f libFL/src/libFL*.a

	install -d $(IVROOT)
	LD_LIBRARY_PATH=$(IVROOT)/usr/lib dh_auto_build -- install
	# Fix weird permissions in upstream source.
	chmod -x apps/examples/Toolmaker/08.Manips/README

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) -k clobber
	# Clear out symlinks created during build.
	rm -f libFL/ang/flclient.h libFL/freetype lib/libInventor.so.1 libSoXt/libInventorXt.so.1
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	#dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	# should we re-do make install here?
	$(MAKE) install
	cp -a data/textures debian/tmp/usr/share/inventor/data/textures
	rm -rf debian/tmp/usr/share/inventor/data/textures/CVS
	install -d debian/tmp/usr/share/inventor/fonts
	install debian/link-fonts.sh debian/tmp/usr/share/inventor/fonts

# Ensure the man directories are created
	mkdir -p debian/tmp/usr/share/man/man1
	mkdir -p debian/tmp/usr/share/man/man3

# Remove SceneViewer from the demo install
	rm debian/tmp/usr/lib/inventor/SceneViewer*

	dh_movefiles
# Clean up the directories used as examples.
	-$(MAKE) -C apps/examples clobber
	-$(MAKE) -C apps/nodes clobber
	-$(MAKE) -C apps/samples clobber
	-$(MAKE) -C apps/tools/ivAddVP clobber
	-$(MAKE) -C apps/tools/ivnorm clobber
	-$(MAKE) -C apps/tools/ivperf clobber
	dh_install

# Fix up path names so demo apps can find their data files.
	cd debian/inventor-demo/usr/share/doc/inventor-demo/src/apps/examples/Mentor/CXX \
	  && perl -i -ple 's!/usr/share/src/Inventor/examples/!../../!' *.c++


# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs
	dh_lintian
	dh_link
	dh_compress
	dh_fixperms
	dh_strip -XGNUmakefile.libInventorWidget.a
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps -L libinventor1 -l debian/tmp/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

build-indep: build

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

build-arch: build

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## inventor 2.1.5-10+dfsg

=== debian/changelog ===
inventor (2.1.5-10+dfsg-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [6c3239d] Fix broken symlinks to Century-Schoolbook fonts.
    Closes: #1036603.
  * [d2a2a86] Remove dep from transitional dummy package gsfonts-x11
  * [54dce68] Change dep from transitional libfreetype6-dev to libfreetype-dev.

 -- Steve M. Robbins <smr@debian.org>  Sat, 27 May 2023 20:08:52 -0500

inventor (2.1.5-10+dfsg-1) unstable; urgency=high

  * Team upload
  * d/copyright: Convert to machine-readable format
  * Exclude non-free/non-source files (Closes: #1029036)

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Remove fields on binary packages that duplicate source:
    + Field Priority from inventor-clients, inventor-data, inventor-demo,
      inventor-dev, inventor-doc, libinventor1.
    + Field Section from inventor-dev.
  * Apply multi-arch hints.
    + inventor-data, inventor-doc: Add Multi-Arch: foreign.

 -- Bastian Germann <bage@debian.org>  Mon, 06 Feb 2023 00:50:57 +0100

inventor (2.1.5-10-25) unstable; urgency=medium

  [ Steve Robbins ]
  * [40c9267] Depend on new fonts-urw-base35 (replacement for gsfonts-x11.
    Closes: #1020236, #1020371.
  * [4174d16] adjust override

 -- Steve M. Robbins <smr@debian.org>  Fri, 14 Oct 2022 00:31:55 -0500

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
                libmotif-dev,
                libglw1-mesa-dev,
                libglu1-mesa-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libjpeg-dev,
                bison
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/inventor
 Vcs-Git: https://salsa.debian.org/science-team/inventor.git
@@ -24,11 +24,10 @@
 Package: libinventor1
 Architecture: any
 Section: libs
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          xfonts-scalable,
-         gsfonts-x11
+         fonts-urw-base35
 Recommends: xdg-utils,
             xpdf | pdf-viewer
 Conflicts: libinventor0
@@ -48,8 +47,6 @@
 
 Package: inventor-dev
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${misc:Depends},
          libinventor1 (= ${binary:Version}),
          libc6-dev,
@@ -72,10 +69,10 @@
 Package: inventor-doc
 Architecture: all
 Section: doc
-Priority: optional
 Depends: ${misc:Depends}
 Conflicts: libcoin20-doc,
            libcoin40-doc
+Multi-Arch: foreign
 Description: Open Inventor documentation
  This package contains the Open Inventor documentation files.
  .
@@ -90,7 +87,6 @@
 Package: inventor-clients
 Architecture: any
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Open Inventor client programs
@@ -107,8 +103,8 @@
 Package: inventor-data
 Architecture: all
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: Open Inventor sample data files
  This package contains sample 3D model and scene files in inventor format.
  .
@@ -123,7 +119,6 @@
 Package: inventor-demo
 Architecture: any
 Section: graphics
-Priority: optional
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: Open Inventor demonstration programs and example code
